Subject: Re: [PATCH] doc: sha256 is no longer experimental

From: Junio C Hamano <[email-masked]>
Date: Mon, 31 Jul 2023 09:01:10 -0700

Adam Majer <[email-masked]> writes:

> +Note: At present, there is no interoperability between SHA-256
> +repositories and SHA-1 repositories.
> +
> +Historically, we warned that SHA-256 repositories may later need
> +backward incompatible changes when we introduce such interoperability
> +features. Today, we only expect compatible changes. Furthermore, if such
> +changes prove to be necessary, it can expected that SHA-256 repositories

"can BE expected" (will tweak locally while queueing; no need to resend).

> +created with today's Git will be usable by future versions of Git
> +without data loss.

Will queue.  Thanks!